So i just got a 3DS (Cosmo Black!!!!!!) and ordered an "R4i-SDHC 3DS" for it. My 3DS is on v3.0.0-6. How much trouble am I looking at here? :(